package com.example.ht2_javafx;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.control.Label;

import javax.swing.*;
import java.io.IOException;
public class HelloController {
    @FXML
    private Label welcomeText;
    private Boolean inPhonesScreen = true; // false = parts, true = phones
    private Boolean inAddScreen = true; // false = edit, true = add

    @FXML
    protected void unCreated() {
        JOptionPane.showMessageDialog(null, "Ei vielä olemassa");
    }


    @FXML
    protected void HandleNavigation() {
        String pagename;
        if(inPhonesScreen) {
            if(inAddScreen) {
                pagename = "LisääPuhelin.fxml";
            }else{
                pagename = "MuokkaaPuhelin.fxml";
            }
        }else{
            if(inAddScreen) {
                pagename = "LisääOsa.fxml";
            }else{
                pagename = "MuokkaaOsa.fxml";
            }
        }

        unCreated();

    }


    @FXML
    protected void NavPhones(){
        inPhonesScreen = true;
        HandleNavigation();
    }

    @FXML
    protected void NavParts(){
        inPhonesScreen = false;
        HandleNavigation();
    }

    @FXML
    protected void NavEdit(){
        inAddScreen = false;
        HandleNavigation();
    }

    @FXML
    protected void NavAdd(){
        inAddScreen = true;
        HandleNavigation();
    }
}